# WARNING
# To build this package, you must set LC_ALL to en
# example : LC_ALL=en rpm -ba aspell-cs.spec

%define src_ver 0.0-3
%define languageeng czech
%define languageenglazy Czech
%define languagecode cs
%define lc_ctype cs_CZ
%define isonumber iso8859-2

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.2
Release:       4mdk
Group:         System/Internationalization
Source:        ftp://ftp.vslib.cz/pub/unix/ispell/ispell-czech.tar.bz2
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Provides: spell-cs


BuildRequires: aspell ispell
Requires:      aspell

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary

# RedHat Stuff
#Obsoletes: ispell-cz, ispell-czech

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -n ispell-czech

%build

echo -e "name cs\ncharset iso8859-2\nsoundslike none" > ./cs.dat

%make
cat czech.a-z | ispell -d ./czech -e | grep -v ";" >czech.wordlist
cat czech.wordlist | aspell --conf-dir=. --lang=cs create master ./cs.rws

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pspell
install -m 644 cs.rws $RPM_BUILD_ROOT%{_libdir}/aspell/cs.rws
echo "add cs.rws" > $RPM_BUILD_ROOT%{_libdir}/aspell/cs.multi
echo "add cs.multi" > $RPM_BUILD_ROOT%{_libdir}/aspell/czech.multi
echo -e "name cs\ncharset iso8859-2\nsoundslike none" > \
	$RPM_BUILD_ROOT%{_datadir}/aspell/cs.dat
echo "cs" > $RPM_BUILD_ROOT%{_datadir}/pspell/cs-aspell.pwli

echo "aspell-cs is generated from ispell-czech" > README.aspell-cs

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.aspell-cs
%{_datadir}/aspell/*
%{_libdir}/aspell/*
%{_datadir}/pspell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.2-4mdk
- recompile with correct build environment

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.2-3mdk
- add tag Provides spell-cs

* Mon Jul 15 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 0.2-2mdk
- BuildRequires: ispell (yes, really)

* Sat May 18 2002 Pablo Saratxaga  <pablo@mandrakesoft.com> 0.2-1mdk
- updated the dictionnary (dated 2001-11-04) from ispell-czech and
  integrated changes from Petr Spatka <petr.spatka@centrum.cz>

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-3mdk
- Undo move to /usr/share/pspell4

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-2mdk
- Release 0.0-3 (from aspell)

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.2-1mdk
- Cleaned up the spec and moved to standard template.
- First version for Mandrake - copied from RedHat spec.
- Macroszification.

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- New dictionary from Petr Kolar <Petr.Kolar@vslib.cz>

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use "cs", the ISO 639 name
- use the proper name on the pwli file

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM
